TV_GRAB_ES_MIGUIATV(1)

NAME
tv_grab_es_miguiatv - Alternative TV grabber for Spain.

SYNOPSIS
tv_grab_es_miguiatv --help

tv_grab_es_miguiatv [--config-file FILE] --configure [--gui OPTION]

tv_grab_es_miguiatv [--config-file FILE] [--output FILE] [--days N]
           [--offset N] [--quiet]

tv_grab_es_miguiatv --list-channels

tv_grab_es_miguiatv --capabilities

tv_grab_es_miguiatv --version

DESCRIPTION
Output TV listings for spanish channels from www.miguiatv.com. Supports analogue and digital (D+) channels.

First run tv_grab_es_miguiatv --configure to choose, which channels you want to download. Then running tv_grab_es_miguiatv with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_es_miguiatv.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of XMLTV::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is 3.

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--capabilities Show which capabilities the grabber supports. For more information, see <http://membled.com/twiki/bin/view/Main/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5).

AUTHOR
Alberto González (alberto@pesadilla.org) based on tv_grab_es_laguiatv from CandU and tv_grab_es from Ramon Roca.

BUGS